function Span(el)
  local cs = el.attributes['custom-style']
  if cs then
    local class = cs
      :lower()
      :gsub("%s+", "-")
      :gsub("[^a-z0-9%-]", "")
    el.classes:insert("style-" .. class)
  end
  return el
end
